#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-58yLMx6QYm6tLs136KMxi-dns-internal
key:                  dns-4.0.1-58yLMx6QYm6tLs136KMxi-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  6b598588246e7e1da8b8e55e6a526e67
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-58yLMx6QYm6tLs136KMxi-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-Bz0F5WxAQJMKRETa5Tf9uT
    attoparsec-0.14.4-CnbpWXzoSF15oyLNVjUKDF
    auto-update-0.1.6-4d2KKJQY63m7Dfj6H0Pqhi base-4.15.1.0
    base16-bytestring-1.0.2.0-6X1k5zvZvdUFgJxiUnqE5K
    base64-bytestring-1.2.1.0-HvmqrYVx1gn4442TNX6xM1
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-En3Efqhqzpp96YHM8gNYf8
    hourglass-0.2.12-KAUxLGALTvKJFAkvJiU255
    iproute-1.7.12-4eUI9s3Evj6ACHkXhuLilP mtl-2.2.2
    network-3.1.2.7-X6xXzP5GAgIYD6ahj2Tw2
    psqueues-0.2.7.3-Sl26J7PWSS1pa7Hba2JHl

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-HTq6Ita5e34825vSW4hubG
key:                  dns-4.0.1-HTq6Ita5e34825vSW4hubG
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  42fc54f2aee6adafeda2ed1a9f647aed
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-HTq6Ita5e34825vSW4hubG
depends:
    array-0.5.4.0 async-2.2.4-Bz0F5WxAQJMKRETa5Tf9uT
    attoparsec-0.14.4-CnbpWXzoSF15oyLNVjUKDF
    auto-update-0.1.6-4d2KKJQY63m7Dfj6H0Pqhi base-4.15.1.0
    base16-bytestring-1.0.2.0-6X1k5zvZvdUFgJxiUnqE5K
    base64-bytestring-1.2.1.0-HvmqrYVx1gn4442TNX6xM1
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-En3Efqhqzpp96YHM8gNYf8
    dns-4.0.1-58yLMx6QYm6tLs136KMxi-dns-internal
    hourglass-0.2.12-KAUxLGALTvKJFAkvJiU255
    iproute-1.7.12-4eUI9s3Evj6ACHkXhuLilP mtl-2.2.2
    network-3.1.2.7-X6xXzP5GAgIYD6ahj2Tw2
    psqueues-0.2.7.3-Sl26J7PWSS1pa7Hba2JHl

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

